Upgrading Old Versions of Octopus

Last updated

Upgrading from an older version of Octopus takes some care and preparation. Please take time to read the right guides for your situation, and plan your upgrade carefully. If you run into any problems along the way we are here to help!

Supported Upgrade Paths

The supported upgrade paths are as follows:

  • Currently running 1.x? Upgrade 1.x to 1.6 to 2.6.5 to 2018.10 LTS to any newer version
  • Currently running 2.x? Upgrade 2.x to 2.6.5 to 2018.10 LTS to any newer version
  • Currently running 2.6.5? Upgrade 2.6.5 to 2018.10 LTS to any newer version
  • Currently running 3.x, 4.x, 2018.x onwards? Upgrade to any newer version - we generally recommend choosing LTS

Broken upgrade paths

We track any unresolved upgrade problems which require special attention using this GitHub issue.

Detailed Upgrade Guides

In This Section

The following topics are explained further in this section: